Bug 17977 - appdomain unload crash
Summary: appdomain unload crash
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: GC (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks: 17944
  Show dependency tree
 
Reported: 2014-02-24 15:59 UTC by Zoltan Varga
Modified: 2014-02-25 07:59 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Zoltan Varga 2014-02-24 15:59:01 UTC
Split out from
https://bugzilla.xamarin.com/show_bug.cgi?id=17944

Testcase:
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
using System;
using System.Threading;
using System.Threading.Tasks;

public class Example
{
  public static void Main()
  {
    Parallel.For(0, 100000, i =>
    {
      System.Console.WriteLine("\n\nIteration " + i);
      AppDomain ad = AppDomain.CreateDomain("ChildDomain");
      AppDomain.Unload(ad);
    });
  }
}
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

This randomly crashes on debian amd64 for me.
Comment 1 Zoltan Varga 2014-02-24 16:32:31 UTC
Fixed in master a1ee26a7c8cf4d27b0f90ca932cc1902a6f4e390.
Comment 2 Alexandre Faria 2014-02-25 07:59:43 UTC
This one is crashing in a fairly consistent way even with only 10k AppDomains, although it still works in a regular for.

So I opened a new bug report.
https://bugzilla.xamarin.com/show_bug.cgi?id=17987